# Function cif::pdb::is_valid_pdbx_file(const file&, const validator&, std::error_code&)

- Defined in File pdb.hpp

## Function Documentation

bool cif::pdb::is_valid_pdbx_file(const file &pdbx_file, const validator &v, std::error_code &ec)

  This is an extension to cif::validator, use the logic in common PDBx files to see if the file is internally consistent.

  This function for now checks if the following categories are consistent:

  atom_site -> pdbx_poly_seq_scheme -> entity_poly_seq -> entity_poly -> entity

  Use the common cif::VERBOSE flag to turn on diagnostic messages.

  Parameters:

    - file – The input file

    - v – The validator to use

    - ec – The error_code in case something was wrong

  Returns:

    Returns true if the file was valid and consistent